AR 10 June 2007.

Grammars from the book

  Manny Rayner, Beth and Hockey, and Pierrette Bouillon.  
  Putting Linguistics into Speech Recognition
  The Regulus Grammar Compiler.
  CSLI 2006.

The goal is to help compare grammar writing in GF with Regulus.

To compile a grammar X.gf into Nuance/GSL:

  gf
  > i X.gf
  > pg -printer=gsl
  
The GSL format does not return semantics, but some others do, e.g.

    -printer=jsgf_sisr_old   Java Speech Grammar Format with semantic tags in 
                                         SISR  WD 20030401 format
    -printer=srgs_abnf_sisr_old SRGS ABNF format, with semantic tags in
                                         SISR  WD 20030401 format

